package kz.arta.synergy.workflow.mobile.android.common.utils;

import android.content.Context;
import android.graphics.Typeface;

/**
 * Created by neox on 04.04.14.
 * Шрифты используемые в приложении
 */
public class Fonts {

    private static Typeface medium;
    private static Typeface roman;
    private static Typeface thin;
    private static Typeface bold;

    public static Typeface getMedium(Context context) {
        if (medium == null) {
            medium = Typeface.createFromAsset(context.getAssets(), "Roboto-Medium.ttf");
        }
        return medium;
    }

    public static Typeface getRoman(Context context) {
        if (roman == null) {
            roman = Typeface.createFromAsset(context.getAssets(), "Roboto-Regular.ttf");
        }
        return roman;
    }

    public static Typeface getThin(Context context) {
        if (thin == null) {
            thin = Typeface.createFromAsset(context.getAssets(), "Roboto-Thin.ttf");
        }
        return thin;
    }

    public static Typeface getBold(Context context) {
        if (bold == null) {
            bold = Typeface.createFromAsset(context.getAssets(), "Roboto-Bold.ttf");
        }
        return bold;
    }
}
